Bug 143272 - Borderstyle hard to distinguish with dark theme
Summary: Borderstyle hard to distinguish with dark theme
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Heiko Tietze
URL:
Whiteboard: target:7.3.0
Keywords:
Depends on:
Blocks: UI-Theming
  Show dependency treegraph
 
Reported: 2021-07-09 08:16 UTC by benjamin
Modified: 2021-07-22 21:05 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot of borderstyle chooser (53.66 KB, image/png)
2021-07-09 08:16 UTC, benjamin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description benjamin 2021-07-09 08:16:53 UTC
Created attachment 173467 [details]
Screenshot of borderstyle chooser

Version: 7.0.6.2
Build ID: 144abb84a525d8e30c9dbbefa69cbbf2d8d4ae3b
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: de-DE (de_DE.UTF-8); UI: de-DE
Calc: threaded
LO Symbol theme is Breeze(dark)

The lines in the borderstyle choser are hardly to be seen when using a dark desktop theme. Screenshot attached.

System ist Linux Mint 20.1, Theme is Mint-Y-Dark-Aqua
Comment 1 RGB 2021-07-11 18:52:57 UTC
Same problem in

Version: 7.1.3.2 / LibreOffice Community
Build ID: 10(Build:2)
CPU threads: 8; OS: Linux 5.3; UI render: default; VCL: kf5
Locale: es-ES (es_ES.UTF-8); UI: es-ES
Calc: threaded

Icon theme: Breeze, dark.
Comment 2 Heiko Tietze 2021-07-12 11:55:45 UTC
Yes, one of the places where black is taken as default.
Comment 3 Commit Notification 2021-07-13 10:50:24 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d3228d493cd6d36972659d8700aeffc15f007dd6

Resolves tdf#143272 - Window text color for border lines

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 benjamin 2021-07-14 14:53:24 UTC
Thank you.
Tested 7.3 today - works fine.
Comment 5 BogdanB 2021-07-22 21:05:35 UTC
It's ok now. Verified in
Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: c6695a4aabeaae99174b7658f2b813788ecff7f0
CPU threads: 4; OS: Linux 5.8; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded